// @use '@angular/material' as mat;
// @import '~compass-mixins/lib/compass/css3';
// @import 'variables';
// @import './helpers';
// @import './modules';
// @import './Form';

// @import '~ngx-toastr/toastr';


// @import "~@angular/material/theming";

// @include mat.core();

// $app-primary: mat.define-palette(mat.$teal-palette, 500, 100, 900);
// $app-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// $app-warn: mat.define-palette(mat.$red-palette);

// $app-default-theme: mat.define-light-theme(
//   (
//     color: (
//       primary: $app-primary,
//       accent: $app-accent,
//       warn: $app-warn,
//     ),
//   )
// );

// @include mat.all-component-themes($app-default-theme);
// $app-dark-theme: mat.define-dark-theme(
//   (
//     color: (
//       primary: $app-primary,
//       accent: $app-accent,
//       warn: $app-warn,
//     ),
//   )
// );

// .darkMode {
//   @include mat.all-component-colors($app-dark-theme);
// }

// body {
//   margin: 0;
//   font-family: 'Baloo Da 2', cursive;
//   background-color: $app_grey;
// }
 

// html {
//   font-size: 10px;
//   @include responsive(tablet desktop) {
//     font-size: 12px;
//   }
// }
// .modal-open .modal {
//   overflow-x: hidden;
//   overflow-y: auto;
// }

// .mat-drawer-inner-container {
//   width: auto;
//   height: auto;
//   overflow: hidden!important;;
// }
// .toast-container {
//   top: 80px;
//   .toast-header {
//     background-color: #16a085;
//     color: #fff;
//     opacity: 0.8;
//   }
//   .toast-message {
//     width: 250px;
//     padding: 10px;
//   }
// }
// .panel-heading {
//   background: #3d3d3d;
//   color: white;
//   padding: 10px 20px;
//   font-weight: 500;
// }
// .panel-body {
//   padding: 30px;
//   border: 1px solid #3d3d3d;
// }
// .panel {
//   margin: 20px 0 20px 0;
// }

// html,
// body {
//   height: 100%;
// }
 
// main {
//   background: #e9ecef66;
// }
// .cdk-overlay-pane.my-dialog {
//   position: relative !important;
// }
// .close.mat-button {
//   position: absolute;
//   top: 0;
//   right: 0;
//   padding: 5px;
//   line-height: 20px;
//   min-width: 20px;
// }

// .mat-drawer:not(.mat-drawer-side) {
//   position: fixed;
// }

// .mat-drawer-backdrop {
//   position: fixed !important;
// }

// .angular-tel-input {
//   font-size: 16px;
//   background: #ffffff;
//   border: 1px solid #cacaca;
//   border-radius: 5px;
//   width: 300px;
//   height: 40px;
//   outline: none;
//   padding: 18.5px 14px 18.5px 58px;
//   transition: box-shadow ease 0.25s, border-color ease 0.25s;
// }
// .angular-tel-input-error {
//   font-size: 16px;
//   background: #ffffff;
//   border: 2px solid red;
//   border-radius: 5px;
//   width: 300px;
//   height: 40px;
//   outline: none;
//   padding: 18.5px 14px 18.5px 58px;
//   transition: box-shadow ease 0.25s, border-color ease 0.25s;
// }

// .HideOnDesktop {
//   @include responsive(desktop) {
//     display: none !important;
//   }
// }

// .HideOnTablet {
//   @include responsive(tablet) {
//     display: none !important;
//   }
// }

// .HideOnMobile {
//   @include responsive(mobile) {
//     display: none !important;
//   }
// }

// @import '~bootstrap/scss/bootstrap';

// /* Importing Bootstrap SCSS file. */
// @import '~bootstrap/scss/bootstrap';
// .mat-form-field-appearance-outline .mat-form-field-outline {
//   color: #e8e8e8 !important;
//   background-color: rgba(3, 86, 163, 0.05) !important;
// }
// /* Font color */


// .mat-focused .mat-form-field-label {
//   /*change color of label*/
//   color: #5f6062 !important;
// }

// .mat-form-field-underline {
//   /*change color of underline*/
//   background-color: #5f6062 !important;
// }

// .mat-form-field-ripple {
//   /*change color of underline when focused*/
//   background-color: #5f6062 !important;
// }

// .mat-input-element { caret-color: #5f6062 !important;  }

// .mat-checkbox-checked.mat-accent .mat-checkbox-ripple .mat-ripple-element {
//   opacity: 0.03 !important;
//   background-color: $app_checkbox_color !important;
// }

// .mat-checkbox-checked.mat-accent .mat-checkbox-background,
// .mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
//   background-color: $app_checkbox_color !important;
// }
// .mat-checkbox-ripple .mat-ripple-element,
// .mat-checkbox-checked.mat-accent .mat-checkbox-background {
//   background-color: $app_checkbox_color !important;
// }
// .mat-badge-content {
//   background: red !important;
// }
// .mat-toolbar-row, .mat-toolbar-single-row {
//   height: 70px !important;
// }

/*
 *  Document   : style.css
 *  Author     : RedStar Template
 *  Description: This is a main style scss file for import all scss files.
 *
 *  Structure (with shortcodes):
                 [1. Common ]
                 [2. Fonts ]                   
                 [3. Components ]       
                 [4. Apps]                   
                 [5. Pages ]    
                 [6. Pugins ]        
                 [7. UI ]     
                 [8. Browser ]     

                
/*                 [1. Common ]                   			*/
@import "variables.scss";
@import "@angular/material/prebuilt-themes/indigo-pink.css";
/* Importing Bootstrap SCSS file. */
@import "~bootstrap/scss/bootstrap";
@import "~perfect-scrollbar/css/perfect-scrollbar.css";
@import "common/_variables";
@import "common/_mixins";
@import "common/_customanimate.scss";
@import "common/_general.scss";
@import "common/_demo.scss";
@import "common/_helpers.scss";
@import "common/_media.scss";
@import "common/_animation.scss";
@import "common/_rtl.scss";

/*                 [2. Fonts]                   				*/
// @import "fonts/_material.scss";
@import "fonts/fontawesome/fontawesome.scss";
@import "fonts/fontawesome/regular.scss";
@import "fonts/fontawesome/solid.scss";
@import "fonts/fontawesome/brands.scss";

/*                 [3. Components ]                   		*/
@import "components/_breadcrumbs.scss";
@import "components/_checkboxradio.scss";
@import "components/_dropdownmenu.scss";
@import "components/_feed.scss";
@import "components/_formcomponents.scss";
@import "components/_infobox.scss";
@import "components/_inputformgroup.scss";
@import "components/_labels.scss";
@import "components/_leftsidebaroverlay.scss";
@import "components/_navbar";
@import "components/_navtabs.scss";
@import "components/_noticeboard.scss";
@import "components/_rightsidebar.scss";
@import "components/_searchbar.scss";
@import "components/_switch.scss";
@import "components/_thumbnails.scss";
@import "components/_todo.scss";
@import "components/_settingSidebar.scss";

/*                 [4. Apps]                   				*/
@import "apps/_calendar.scss";
@import "apps/_chat.scss";
@import "apps/_contactlist.scss";
@import "apps/_contactgrid.scss";
@import "apps/_dragdrop.scss";
@import "apps/_task.scss";

/*                 [5. Pages ]                   				*/
@import "pages/_dashboard.scss";
@import "pages/_inbox.scss";
@import "pages/_pricing.scss";
@import "pages/_profile.scss";
@import "pages/_timeline.scss";
@import "pages/_projects.scss";
// @import "pages/_extra_pages.scss";
@import "pages/_auth.scss";

/*                 [6. Pugins ]                   				*/
@import "plugins/_carousel.scss";
@import "plugins/_charts.scss";
@import "plugins/_formwizard.scss";
@import "plugins/_imagegallery.scss";
@import "plugins/_maps.scss";
@import "plugins/_tables.scss";

/*                 [7. UI ]                   */
@import "ui/_alerts.scss";
@import "ui/_badgelistgroupitem.scss";
@import "ui/_buttons.scss";
@import "ui/_card.scss";
@import "ui/_collapse.scss";
@import "ui/_dialogs.scss";
@import "ui/_expansion.scss";
@import "ui/_mediaobject.scss";
@import "ui/_modals.scss";
@import "ui/_pageloader.scss";
@import "ui/_pagination.scss";
@import "ui/_panels.scss";
@import "ui/_preloaders.scss";
@import "ui/_progressbars.scss";
@import "ui/_slider.scss";
@import "ui/_snackbar.scss";
@import "ui/_tabs.scss";
@import "ui/_tooltippopovers.scss";
@import "ui/_ckeditor.scss";

/*                 [8. Browser ]                   			*/
@import "browser/_ie10.scss";
@import "browser/_ie11.scss";
.mat-badge-content {
  background: red !important;
}

.mat-checkbox-ripple .mat-ripple-element,
.mat-checkbox-checked.mat-accent .mat-checkbox-background {
  background-color: $app_checkbox_color !important;
}

mat-button-toggle:hover {
  border: 1px #000 solid !important;
  background-color: $background_color_mode !important;
  border-radius: 5px !important;
}

.mat-button-toggle-checked {
  box-shadow: 0 0 30px #000 !important;
  border: 1px #000 solid !important;
  border-radius: 5px !important;
  background-color: $background_color_mode !important;
  color: white !important;
}